SoapServer->fault
SoapServer->handle
SOAP Functions
PHP Manual

# SoapServer->getFunctions

(No version information available, might be only in CVS)

SoapServer->getFunctions — Returns list of defined functions

### Description

SoapServer
array getFunctions ( void )

This method returns the list of all functions added by SoapServer->addFunction or SoapServer->setClass.

### Return Values

The list of all functions.

### Examples

Example #1 Some examples

`<?php
$server = new SoapServer(NULL, array("uri" => "http://test-uri"));
$server->addFunction(SOAP_FUNCTIONS_ALL);
if ($_SERVER["REQUEST_METHOD"] == "POST") {
$server->handle();
} else {
echo "This SOAP server can handle following functions: ";
$functions = $server->getFunctions();
foreach($functions as $func) {
echo $func . "\n";
}
}
?>`

### See Also

- SoapServer->__construct
- SoapServer->addFunction
- SoapServer->setClass

SoapServer->fault
SoapServer->handle
SOAP Functions
PHP Manual